@echo off
cls
echo I have some changes to make to your INTERP directory. For the makefile, all
echo changes have to do with version control and mostly simplify the build process
echo a little bit, what with things being linked twice just to stamp the terps.
echo And on that note, the source code has been altered so that the release builds
echo (much like the debug builds) don't care about stamp errors.
echo.
echo If you'll just press any key, I'll alter your INTERP directory accordingly.
echo If you've made any changes to STARTASM.S, PMACHINE.C, SCI.C, or INFO.C, these
echo will be lost. In that case, tab out and preserve your changes first.
echo Unless they're basically what I just said, in which case nothing of value
echo would be lost. I'm a hacker, not a cop.
echo.
echo.
pause > nul
echo * Copying altered source and makefile...
copy C:\_INST_\*.* C:\INTERP
echo * Removing VCS utilities...
del C:\INTERP\INC_IT.EXE
del C:\INTERP\ONELINE.EXE
del C:\INTERP\VCS.CFG
echo * Removing prebuilt terps...
del C:\INTERP\SIERRA.EXE
del C:\INTERP\SIERRAM.EXE
del C:\INTERP\SCI.EXE
del C:\INTERP\SCITESTR.EXE
echo.
echo.

:end
echo And we're done here. Run GO from now on to set up the environment for use.
echo.
